% File: demo.m
% Description: this file shows the usage of the main function of the PaHOF toolbox.
%
% References: 
%  "Human Action Recognition from Simple Feature Pooling"
%  M.J. Marin-Jimenez, N. Perez de la Blanca, M.A. Mendoza
%  Pattern Analysis and Applications (2012)
%
% (c) MJMJ/2012
%

% Hint: enable Matlab parallel labs, if available, to boost PaHOF computation.
%  E.g., 
%   > matlabpool open 4

%% Parameters
% HOF parameters
mags = [0.5 1.5 2.5];
nAng = 8;

%gridconf = [4 8]; % [XTiles, YTiles] Def. [4 8]
gridconf = {[4 8] [2 4] [1 2]}; % [XTiles, YTiles] Def. [4 8]

len = 20;
step = 2;

%% Load OF demo data. Use your favourite OF toolbox to compute it.

%load('person01_handwaving_d1_113_220.mat'); % Cropped video frames. In case you want to see the sequence.
load('person01_handwaving_d1_113_220_of.mat'); % Precomputed Optical Flow

%% Compute PaHOF
tic
 PaHOF = computePaHOFonUV(u,v, gridconf, nAng, mags, len, step);
elapsed_time = toc;

whos PaHOF

disp('Done');
fprintf('+ Time: %.3f sec for computing %d PaHOF descriptors with %d levels.\n',...
   elapsed_time, size(PaHOF,1), iscell(gridconf)*length(gridconf)+~iscell(gridconf));
