function H = normalizeHistByMagnitude(H, nMags)
% H = normalizeHistByMagnitude(H, nMags)
%
% COMMENT ME!!!
% Input:
%  - H: matrix [nsamples, histdims] of unnormalized histograms. This
%  function assumes that each histogram comes from a 4D matrix. 
%  - nMags: number of magnitude bins
%
%
% (c) MJMJ/2008
%

% Normalizar por magnitud en cada bin localizacion-orientacion
for i = 1:size(H,1),
   for j = 1:nMags:size(H,2),
      H(i, j:j+nMags-1) = H(i, j:j+nMags-1) ./ sum(H(i, j:j+nMags-1));
   end % j
end % i